%define oname stldb4
Version: 0.4.96
Release: alt1
Name: libstldb4

Summary: C++ Wrapper for the sleepycat db4 library

License: GPL
Group: System/Libraries
Url: http://sourceforge.net/project/showfiles.php?group_id=16036

Source: http://dl.sf.net/witme/%oname-%version.tar.bz2

# Automatically added by buildreq on Mon Jan 07 2008
BuildRequires: gcc-c++ libferrisstreams-devel libpopt-devel

%description
C++ Wrapper for the sleepycat db4 library
These are the main design points:

1) Using STL in the API where sensible. For example, to
   read a range of keys an STL like iterator object should
   be used.
2) Allowing Standard IOStreams for data access where sensible,
   for example getting the value of a key should be able to use
   an istream interface to allow simple partial value retreival.
3) move transaction parameter to be last optional param
   or provde two versions of the same method for trans/nontrans
4) Modification of API to use more standard types.
5) Use of operator overloading to allow quick and dirty coding
   mydb[ "key" ] = "value"; to set and
   cerr << mydb["key"] << endl; to read values

%package devel
Summary: Development files needed to build applications with %name
Group: Development/C++
Requires: %name = %version

%description devel
Development files needed to build applications with %name.

%prep
%setup -q -n %oname-%version

%build
%configure --enable-rpc --with-uniquename=stldb4 \
	--enable-hiddensymbols --with-pic \
	--disable-stlport --with-sigcxx-2x=yes
%make_build

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_libdir/libstldb4.la

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%doc AUTHORS README ChangeLog
%_bindir/*
%_libdir/%name-04:0:0.so

%files devel
%_pkgconfigdir/*pc
%_includedir/STLdb4/
%_libdir/%name.so

%changelog
* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.96-alt1
- initial build for ALT Linux Sisyphus
- build without STLport

* Sun May 4 2003 Ben Martin
- Created
